Bug 184246 - emulators/mame: Update to version 0.151
Summary: emulators/mame: Update to version 0.151
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-24 18:10 UTC by tkato432
Modified: 2014-01-16 02:50 UTC (History)
0 users

See Also:


Attachments
file.shar (15.51 KB, text/plain)
2013-11-24 18:10 UTC, tkato432
no flags Details
emulators_mame.diff (7.43 KB, patch)
2013-11-25 18:00 UTC, tkato432
no flags Details | Diff
emulators_mess.diff (9.33 KB, patch)
2013-11-25 18:00 UTC, tkato432
no flags Details | Diff
emulators_qmc2.diff (905 bytes, patch)
2013-11-25 18:00 UTC, tkato432
no flags Details | Diff
emulators_mame.diff (7.43 KB, patch)
2013-12-14 19:28 UTC, tkato432
no flags Details | Diff
emulators_mess.diff (9.37 KB, patch)
2013-12-14 19:28 UTC, tkato432
no flags Details | Diff
emulators_qmc2.diff (905 bytes, patch)
2013-12-14 19:28 UTC, tkato432
no flags Details | Diff
emulators_mame.diff (10.61 KB, patch)
2014-01-15 17:58 UTC, tkato432
no flags Details | Diff
emulators_mess.diff (12.57 KB, patch)
2014-01-15 17:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-11-24 18:10:08 UTC
- Update emulators/mame to version 0.151
- Update emulators/mess to version 0.151
- Update emulators/qmc2 to version 0.41

[emulators/mame]
Remove file:
files/patch-src__osd__sdl__input.c
files/patch-src__osd__sdl__testkeys.c

[emulators/mame]
Remove file:
files/patch-src__osd__sdl__input.c
files/patch-src__osd__sdl__testkeys.c
Comment 1 tkato432 2013-11-25 18:00:00 UTC
Remake of the patch against current tree.
Comment 2 tkato432 2013-12-14 19:28:24 UTC
Remake of the patch against current tree.
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-12-25 20:23:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 4 tkato432 2014-01-15 17:58:12 UTC
Version 0.152 has been released.
Comment 5 dfilter service freebsd_committer 2014-01-16 02:45:01 UTC
Author: danilo
Date: Thu Jan 16 02:44:49 2014
New Revision: 339885
URL: http://svnweb.freebsd.org/changeset/ports/339885
QAT: https://qat.redports.org/buildarchive/r339885/

Log:
  emulators/qmc2
  - Update from 0.41 to 0.42
  
  emulators/{mame,mess} [1]
  - Update from 0.150 to 0.152
  
  PR:		ports/184246
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com> [1]

Added:
  head/emulators/mame/files/patch-src__emu__netlist__nl_base.h   (contents, props changed)
  head/emulators/mame/files/patch-src__emu__netlist__pstate.h   (contents, props changed)
  head/emulators/mess/files/patch-src__emu__netlist__nl_base.h   (contents, props changed)
  head/emulators/mess/files/patch-src__emu__netlist__pstate.h   (contents, props changed)
Deleted:
  head/emulators/mame/files/patch-src__osd__sdl__input.c
  head/emulators/mame/files/patch-src__osd__sdl__testkeys.c
  head/emulators/mess/files/patch-src__osd__sdl__input.c
  head/emulators/mess/files/patch-src__osd__sdl__testkeys.c
Modified:
  head/emulators/mame/Makefile
  head/emulators/mame/distinfo
  head/emulators/mame/pkg-plist
  head/emulators/mess/Makefile
  head/emulators/mess/distinfo
  head/emulators/mess/pkg-plist
  head/emulators/qmc2/Makefile
  head/emulators/qmc2/distinfo
  head/emulators/qmc2/pkg-plist

Modified: head/emulators/mame/Makefile
==============================================================================
--- head/emulators/mame/Makefile	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/mame/Makefile	Thu Jan 16 02:44:49 2014	(r339885)
@@ -2,15 +2,12 @@
 # $FreeBSD$
 
 PORTNAME=	mame
-PORTVERSION=	0.150${PATCHSUFFIX}
-PORTREVISION=	1
+PORTVERSION=	0.152${PATCHSUFFIX}
 CATEGORIES=	emulators
-MASTER_SITES=	SF/${PORTNAME}.mirror/${PORTNAME:U}%20${PORTVERSION} \
-		http://mame.mirrors.zippykid.com/releases/ \
+MASTER_SITES=	http://mame.mirrors.zippykid.com/releases/ \
 		http://emumovies.com/aarongiles/releases/ \
 		http://mamedev.org/updates/:patchsets
-DISTNAME=	${PORTNAME}${PORTVERSION:S/.//:C/p[0-9]*$//}s
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
+DISTFILES=	${PORTNAME}${PORTVERSION:S/.//:C/p[0-9]*$//}s.zip \
 		${UPDATE_PATCHES:C/$/.zip:patchsets/}
 DIST_SUBDIR=	${PORTNAME}
 
@@ -23,26 +20,24 @@ LIB_DEPENDS=	libFLAC.so:${PORTSDIR}/audi
 		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
 RUN_DEPENDS=	liberation-fonts-ttf>=0:${PORTSDIR}/x11-fonts/liberation-fonts-ttf
 
-OPTIONS_DEFINE=	SDL2 DEBUG DOCS EXAMPLES
-OPTIONS_RADIO=	BUILTIN_DEBUGGER
-OPTIONS_RADIO_BUILTIN_DEBUGGER=	GTK2 QT4
-SDL2_DESC=	SDL2 libraries support
+OPTIONS_DEFINE=	BUILTIN_DEBUGGER DEBUG DOCS EXAMPLES SDL2
 BUILTIN_DEBUGGER_DESC=	Builtin debugger support
+SDL2_DESC=	SDL2 libraries support
 
 NO_WRKSUBDIR=	yes
 
-USE_ZIP=	yes
-USES=		gmake pkgconfig shebangfix dos2unix
+USES=		dos2unix gmake pkgconfig shebangfix
+DOS2UNIX_FILES=	src/emu/netlist/nl_base.h \
+		src/emu/netlist/pstate.h
 SHEBANG_FILES=	src/emu/cpu/m6502/m6502make.py \
 		src/emu/cpu/m6809/m6809make.py \
 		src/emu/cpu/mcs96/mcs96make.py \
 		src/emu/cpu/tms57002/tmsmake.py
-DOS2UNIX_FILES=	src/osd/sdl/input.c \
-		src/osd/sdl/testkeys.c
 USE_XORG=	xext xi xinerama xrender
 USE_GL=		gl
 USE_PYTHON_BUILD=2
 MAKE_ENV=	NOWERROR=1 USE_NETWORK=1 \
+		LD="${CXX}" PYTHON="${PYTHON_CMD}" \
 		OPT_FLAGS="${CXXFLAGS}" GCC_LDFLAGS="${LDFLAGS}" \
 		TARGET="${PORTNAME}" FULLNAME="${PORTNAME}"
 MAKEFILE=	makefile
@@ -60,6 +55,12 @@ UPDATE_PATCHES!=	/usr/bin/jot -s " " \
 
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MBUILTIN_DEBUGGER}
+USE_QT4=	gui moc_build qmake_build
+.else
+MAKE_ENV+=	NO_DEBUGGER=1 NO_USE_QTDEBUG=1
+.endif
+
 .if ${PORT_OPTIONS:MSDL2}
 USE_SDL=	sdl2 ttf2
 MAKE_ENV+=	SDL_LIBVER="sdl2"
@@ -71,43 +72,15 @@ USE_SDL=	sdl ttf
 MAKE_ENV+=	DEBUG=1
 .endif
 
-.if ${PORT_OPTIONS:MGTK2}
-USE_GNOME=	gtk20 gconf2
-MAKE_ENV+=	GTK_INCPATH="$$(pkg-config --cflags-only-I gtk+-2.0 gconf-2.0)" \
-		GTK_CCOMFLAGS="$$(pkg-config --cflags-only-other gtk+-2.0 gconf-2.0)" \
-		GTK_LIBS="$$(pkg-config --libs gtk+-2.0 gconf-2.0)"
-.else
-MAKE_ENV+=	GTK_INCPATH="" \
-		GTK_CCOMFLAGS="" \
-		GTK_LIBS=""
-.endif
-
-.if ${PORT_OPTIONS:MQT4}
-USE_QT4=	gui moc_build qmake_build
-.else
-MAKE_ENV+=	NO_USE_QTDEBUG=1
-.endif
-
-.if empty(PORT_OPTIONS:MGTK2) && empty(PORT_OPTIONS:MQT4)
-MAKE_ENV+=	NO_DEBUGGER=1
-.endif
-
 .include <bsd.port.pre.mk>
 
-.if exists(/usr/bin/clang) && ${OSVERSION} >= 900014
-CC=		/usr/bin/clang
-CPP=		/usr/bin/clang-cpp
-CXX=		/usr/bin/clang++
-.else
-USE_GCC=	yes
-.endif
-
 .if ${ARCH} == "ia64" || ${ARCH} == "powerpc" || ${ARCH} == "sparc64"
 BROKEN=		Does not install on ia64, powerpc, or sparc64
 .endif
 
 post-extract:
-	@${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/mame.zip ${EXTRACT_AFTER_ARGS}
+	@(cd ${WRKDIR} && ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} mame.zip \
+		${EXTRACT_AFTER_ARGS})
 	@${RM} -f ${WRKDIR}/mame.zip
 # Use post-extract target to get in before dos2unix-isation
 .if defined(UPDATE_PATCHES)
@@ -120,14 +93,14 @@ post-extract:
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|^BUILD_EXPAT|# BUILD_EXPAT| ; \
-		 s|^BUILD_ZLIB|# BUILD_ZLIB| ; \
-		 s|^BUILD_FLAC|# BUILD_FLAC| ; \
-		 s|^BUILD_JPEGLIB|# BUILD_JPEGLIB| ; \
-		 s| = @gcc| := $$(CC)| ; \
-		 s| = @g++| := $$(CXX)| ; \
+		'/^BUILD_EXPAT /s|^|#| ; \
+		 /^BUILD_ZLIB /s|^|#| ; \
+		 /^BUILD_FLAC /s|^|#| ; \
+		 /^BUILD_JPEGLIB /s|^|#| ; \
+		 /^CC /s|^|#| ; \
+		 /^LD /s|^|#| ; \
+		 /^PYTHON /s|^|#| ; \
 		 s|-O$$(OPTIMIZE)|| ; \
-		 s| = @python| = ${PYTHON_CMD}| ; \
 		 /--warn-common/s|= -Wl,|= $$(GCC_LDFLAGS) -Wl,| ; \
 		 /LDFLAGS/s|-s|| ; \
 		 /LIBS/s|-lstdc++|| ; \
@@ -136,10 +109,7 @@ post-patch:
 		'/realloc/s|^|// |' ${WRKSRC}/src/emu/emualloc.h
 	@${REINPLACE_CMD} -e \
 		'/LIBS/s|-lpthread|-pthread| ; \
-		 /-system/s|/usr/local/|${LOCALBASE}/| ; \
-		 /--cflags-only-I gtk+-2.0/s|=.*|= $$(GTK_INCPATH)| ; \
-		 /--cflags-only-other gtk+-2.0/s|=.*|= $$(GTK_CCOMFLAGS)| ; \
-		 /--libs gtk+-2.0/s|=.*|= $$(GTK_LIBS)| ; \
+		 /-isystem/s|^|#| ; \
 		 /X11R6/s|^|#|' ${WRKSRC}/src/osd/sdl/sdl.mak
 
 do-install:
@@ -151,13 +121,13 @@ do-install:
 		${STAGEDIR}${PREFIX}/libexec/${PORTNAME})
 .endfor
 	@${MKDIR} ${STAGEDIR}${DATADIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} artwork ${STAGEDIR}${DATADIR})
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} hash ${STAGEDIR}${DATADIR})
-	@(cd ${WRKSRC}/src/osd/sdl && ${COPYTREE_SHARE} keymaps \
+	(cd ${WRKSRC} && ${COPYTREE_SHARE} artwork ${STAGEDIR}${DATADIR})
+	(cd ${WRKSRC} && ${COPYTREE_SHARE} hash ${STAGEDIR}${DATADIR})
+	(cd ${WRKSRC}/src/osd/sdl && ${COPYTREE_SHARE} keymaps \
 		${STAGEDIR}${DATADIR})
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${STAGEDIR}${DOCSDIR})
-	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${STAGEDIR}${DOCSDIR})
+	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 	(cd ${FILESDIR} && ${INSTALL_DATA} mame.ini ${STAGEDIR}${EXAMPLESDIR})
 
 .include <bsd.port.post.mk>

Modified: head/emulators/mame/distinfo
==============================================================================
--- head/emulators/mame/distinfo	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/mame/distinfo	Thu Jan 16 02:44:49 2014	(r339885)
@@ -1,2 +1,2 @@
-SHA256 (mame/mame0150s.zip) = e672b033baa001e1a909498b6c9206c68d0456fd883e410ad50f1a4f4c2253f7
-SIZE (mame/mame0150s.zip) = 35999158
+SHA256 (mame/mame0152s.zip) = dd245297824e0b3938312c74aee31e1d32798d093bbf19f857de56bbd1ea4bdf
+SIZE (mame/mame0152s.zip) = 36247883

Added: head/emulators/mame/files/patch-src__emu__netlist__nl_base.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mame/files/patch-src__emu__netlist__nl_base.h	Thu Jan 16 02:44:49 2014	(r339885)
@@ -0,0 +1,20 @@
+--- src/emu/netlist/nl_base.h.orig
++++ src/emu/netlist/nl_base.h
+@@ -287,7 +287,7 @@
+ 
+ 	ATTR_COLD const pstring &name() const;
+ 
+-	PSTATE_INTERFACE(*m_netlist, name())
++	PSTATE_INTERFACE_DECL()
+ 
+ #if 0
+ 	template<class C> ATTR_COLD void save(C &state, const pstring &stname)
+@@ -1120,6 +1120,8 @@
+ // Inline implementations
+ // ----------------------------------------------------------------------------------------
+ 
++PSTATE_INTERFACE(netlist_object_t, m_netlist, name())
++
+ ATTR_HOT inline void netlist_param_str_t::setTo(const pstring &param)
+ {
+ 	m_param = param;

Added: head/emulators/mame/files/patch-src__emu__netlist__pstate.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mame/files/patch-src__emu__netlist__pstate.h	Thu Jan 16 02:44:49 2014	(r339885)
@@ -0,0 +1,19 @@
+--- src/emu/netlist/pstate.h.orig
++++ src/emu/netlist/pstate.h
+@@ -15,10 +15,13 @@
+ // state saving ...
+ // ----------------------------------------------------------------------------------------
+ 
+-#define PSTATE_INTERFACE(manager, module)               \
+-	template<class C> ATTR_COLD void save(C &state, const pstring &stname) \
++#define PSTATE_INTERFACE_DECL()               \
++	template<class C> ATTR_COLD void save(C &state, const pstring &stname);
++
++#define PSTATE_INTERFACE(obj, manager, module)               \
++	template<class C> ATTR_COLD void obj::save(C &state, const pstring &stname) \
+ 	{                                                                       \
+-		dynamic_cast<pstate_manager_t &>(manager).save_manager(state, module + "." + stname);  \
++		manager->save_manager(state, module + "." + stname);  \
+ 	}
+ 
+ enum netlist_data_type_e {

Modified: head/emulators/mame/pkg-plist
==============================================================================
--- head/emulators/mame/pkg-plist	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/mame/pkg-plist	Thu Jan 16 02:44:49 2014	(r339885)
@@ -11,6 +11,7 @@ libexec/mame/unidasm
 %%PORTDOCS%%%%DOCSDIR%%/docs/hlsl.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/imgtool.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/license.txt
+%%PORTDOCS%%%%DOCSDIR%%/docs/licenseinfo.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/m6502.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/mame.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/newvideo.txt
@@ -31,6 +32,7 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/abc1600.xml
 %%DATADIR%%/hash/abc80.xml
 %%DATADIR%%/hash/abc800.xml
+%%DATADIR%%/hash/abc800_hdd.xml
 %%DATADIR%%/hash/abc806.xml
 %%DATADIR%%/hash/adam_cart.xml
 %%DATADIR%%/hash/adam_cass.xml
@@ -127,7 +129,9 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/ibm5140.xml
 %%DATADIR%%/hash/ibm5150.xml
 %%DATADIR%%/hash/ibm5150_cass.xml
+%%DATADIR%%/hash/ibm5160_flop.xml
 %%DATADIR%%/hash/ibm5170.xml
+%%DATADIR%%/hash/ibm5170_cdrom.xml
 %%DATADIR%%/hash/ibmpcjr_cart.xml
 %%DATADIR%%/hash/ibmpcjr_flop.xml
 %%DATADIR%%/hash/interact.xml
@@ -171,6 +175,7 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/msx1_cass.xml
 %%DATADIR%%/hash/msx2.hsi
 %%DATADIR%%/hash/msx2_cart.xml
+%%DATADIR%%/hash/myvision.xml
 %%DATADIR%%/hash/mz2000_cass.xml
 %%DATADIR%%/hash/mz2000_flop.xml
 %%DATADIR%%/hash/mz2500.xml
@@ -215,6 +220,7 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/pentagon_cass.xml
 %%DATADIR%%/hash/pet_cass.xml
 %%DATADIR%%/hash/pet_flop.xml
+%%DATADIR%%/hash/pet_hdd.xml
 %%DATADIR%%/hash/pet_rom.xml
 %%DATADIR%%/hash/pico.xml
 %%DATADIR%%/hash/pippin.xml
@@ -293,7 +299,8 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/tvc_cart.xml
 %%DATADIR%%/hash/ut88.xml
 %%DATADIR%%/hash/uzebox.xml
-%%DATADIR%%/hash/v1050.xml
+%%DATADIR%%/hash/v1050_flop.xml
+%%DATADIR%%/hash/v1050_hdd.xml
 %%DATADIR%%/hash/vboy.xml
 %%DATADIR%%/hash/vc4000.xml
 %%DATADIR%%/hash/vectrex.xml

Modified: head/emulators/mess/Makefile
==============================================================================
--- head/emulators/mess/Makefile	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/mess/Makefile	Thu Jan 16 02:44:49 2014	(r339885)
@@ -2,15 +2,12 @@
 # $FreeBSD$
 
 PORTNAME=	mess
-PORTVERSION=	0.150${PATCHSUFFIX}
-PORTREVISION=	1
+PORTVERSION=	0.152${PATCHSUFFIX}
 CATEGORIES=	emulators
-MASTER_SITES=	SF/mame.mirror/MAME%20${PORTVERSION} \
-		http://mame.mirrors.zippykid.com/releases/ \
+MASTER_SITES=	http://mame.mirrors.zippykid.com/releases/ \
 		http://emumovies.com/aarongiles/releases/ \
 		http://mamedev.org/updates/:patchsets
-DISTNAME=	mame${PORTVERSION:S/.//:C/p[0-9]*$//}s
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
+DISTFILES=	mame${PORTVERSION:S/.//:C/p[0-9]*$//}s.zip \
 		${UPDATE_PATCHES:C/$/.zip:patchsets/}
 DIST_SUBDIR=	mame
 
@@ -23,26 +20,24 @@ LIB_DEPENDS=	libFLAC.so:${PORTSDIR}/audi
 		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
 RUN_DEPENDS=	liberation-fonts-ttf>=0:${PORTSDIR}/x11-fonts/liberation-fonts-ttf
 
-OPTIONS_DEFINE=	SDL2 DEBUG DOCS EXAMPLES
-OPTIONS_RADIO=	BUILTIN_DEBUGGER
-OPTIONS_RADIO_BUILTIN_DEBUGGER=	GTK2 QT4
-SDL2_DESC=	SDL2 libraries support
+OPTIONS_DEFINE=	BUILTIN_DEBUGGER DEBUG DOCS EXAMPLES SDL2
 BUILTIN_DEBUGGER_DESC=	Builtin debugger support
+SDL2_DESC=	SDL2 libraries support
 
 NO_WRKSUBDIR=	yes
 
-USE_ZIP=	yes
-USES=		gmake pkgconfig shebangfix dos2unix
+USES=		dos2unix gmake pkgconfig shebangfix
+DOS2UNIX_FILES=	src/emu/netlist/nl_base.h \
+		src/emu/netlist/pstate.h
 SHEBANG_FILES=	src/emu/cpu/m6502/m6502make.py \
 		src/emu/cpu/m6809/m6809make.py \
 		src/emu/cpu/mcs96/mcs96make.py \
 		src/emu/cpu/tms57002/tmsmake.py
-DOS2UNIX_FILES=	src/osd/sdl/input.c \
-		src/osd/sdl/testkeys.c
 USE_XORG=	xext xi xinerama xrender
 USE_GL=		gl
-USE_PYTHON_BUILD=yes
+USE_PYTHON_BUILD=2
 MAKE_ENV=	NOWERROR=1 USE_NETWORK=1 \
+		LD="${CXX}" PYTHON="${PYTHON_CMD}" \
 		OPT_FLAGS="${CXXFLAGS}" GCC_LDFLAGS="${LDFLAGS}" \
 		TARGET="${PORTNAME}" FULLNAME="${PORTNAME}"
 MAKEFILE=	makefile
@@ -60,6 +55,12 @@ UPDATE_PATCHES!=	/usr/bin/jot -s " " \
 
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MBUILTIN_DEBUGGER}
+USE_QT4=	gui moc_build qmake_build
+.else
+MAKE_ENV+=	NO_DEBUGGER=1 NO_USE_QTDEBUG=1
+.endif
+
 .if ${PORT_OPTIONS:MSDL2}
 USE_SDL=	sdl2 ttf2
 MAKE_ENV+=	SDL_LIBVER="sdl2"
@@ -71,43 +72,15 @@ USE_SDL=	sdl ttf
 MAKE_ENV+=	DEBUG=1
 .endif
 
-.if ${PORT_OPTIONS:MGTK2}
-USE_GNOME=	gtk20 gconf2
-MAKE_ENV+=	GTK_INCPATH="$$(pkg-config --cflags-only-I gtk+-2.0 gconf-2.0)" \
-		GTK_CCOMFLAGS="$$(pkg-config --cflags-only-other gtk+-2.0 gconf-2.0)" \
-		GTK_LIBS="$$(pkg-config --libs gtk+-2.0 gconf-2.0)"
-.else
-MAKE_ENV+=	GTK_INCPATH="" \
-		GTK_CCOMFLAGS="" \
-		GTK_LIBS=""
-.endif
-
-.if ${PORT_OPTIONS:MQT4}
-USE_QT4=	gui moc_build qmake_build
-.else
-MAKE_ENV+=	NO_USE_QTDEBUG=1
-.endif
-
-.if empty(PORT_OPTIONS:MGTK2) && empty(PORT_OPTIONS:MQT4)
-MAKE_ENV+=	NO_DEBUGGER=1
-.endif
-
 .include <bsd.port.pre.mk>
 
-.if exists(/usr/bin/clang) && ${OSVERSION} >= 900014
-CC=		/usr/bin/clang
-CPP=		/usr/bin/clang-cpp
-CXX=		/usr/bin/clang++
-.else
-USE_GCC=	yes
-.endif
-
 .if ${ARCH} == "ia64" || ${ARCH} == "powerpc" || ${ARCH} == "sparc64"
 BROKEN=		Does not install on ia64, powerpc, or sparc64
 .endif
 
 post-extract:
-	@${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/mame.zip ${EXTRACT_AFTER_ARGS}
+	@(cd ${WRKDIR} && ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} mame.zip \
+		${EXTRACT_AFTER_ARGS})
 	@${RM} -f ${WRKDIR}/mame.zip
 # Use post-extract target to get in before dos2unix-isation
 .if defined(UPDATE_PATCHES)
@@ -120,13 +93,13 @@ post-extract:
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|^BUILD_EXPAT|# BUILD_EXPAT| ; \
-		 s|^BUILD_ZLIB|# BUILD_ZLIB| ; \
-		 s|^BUILD_FLAC|# BUILD_FLAC| ; \
-		 s|^BUILD_JPEGLIB|# BUILD_JPEGLIB| ; \
-		 s| = @gcc| := $$(CC)| ; \
-		 s| = @g++| := $$(CXX)| ; \
-		 s| = @python| := @${PYTHON_CMD}| ; \
+		'/^BUILD_EXPAT /s|^|#| ; \
+		 /^BUILD_ZLIB /s|^|#| ; \
+		 /^BUILD_FLAC /s|^|#| ; \
+		 /^BUILD_JPEGLIB /s|^|#| ; \
+		 /^CC /s|^|#| ; \
+		 /^LD /s|^|#| ; \
+		 /^PYTHON /s|^|#| ; \
 		 s|-O$$(OPTIMIZE)|| ; \
 		 /--warn-common/s|= -Wl,|= $$(GCC_LDFLAGS) -Wl,| ; \
 		 /LDFLAGS/s|-s|| ; \
@@ -136,29 +109,26 @@ post-patch:
 		'/realloc/s|^|// |' ${WRKSRC}/src/emu/emualloc.h
 	@${REINPLACE_CMD} -e \
 		'/LIBS/s|-lpthread|-pthread| ; \
-		 /-system/s|/usr/local/|${LOCALBASE}/| ; \
-		 /--cflags-only-I gtk+-2.0/s|=.*|= $$(GTK_INCPATH)| ; \
-		 /--cflags-only-other gtk+-2.0/s|=.*|= $$(GTK_CCOMFLAGS)| ; \
-		 /--libs gtk+-2.0/s|=.*|= $$(GTK_LIBS)| ; \
+		 /-isystem/s|^|#| ; \
 		 /X11R6/s|^|#|' ${WRKSRC}/src/osd/sdl/sdl.mak
 
 do-install:
 	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} \
-		${STAGEDIR}/${PREFIX}/bin)
-	@${MKDIR} ${STAGEDIR}/${PREFIX}/libexec/${PORTNAME}
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${PREFIX}/libexec/${PORTNAME}
 .for F in castool chdman imgtool jedutil ldresample ldverify romcmp \
 	testkeys unidasm
 	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${F} \
-		${STAGEDIR}/${PREFIX}/libexec/${PORTNAME})
+		${STAGEDIR}${PREFIX}/libexec/${PORTNAME})
 .endfor
-	@${MKDIR} ${STAGEDIR}/${DATADIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} artwork ${STAGEDIR}/${DATADIR})
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} hash ${STAGEDIR}/${DATADIR})
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} artwork ${STAGEDIR}${DATADIR})
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} hash ${STAGEDIR}${DATADIR})
 	@(cd ${WRKSRC}/src/osd/sdl && ${COPYTREE_SHARE} keymaps \
-		${STAGEDIR}/${DATADIR})
-	@${MKDIR} ${STAGEDIR}/${DOCSDIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${STAGEDIR}/${DOCSDIR})
-	@${MKDIR} ${STAGEDIR}/${EXAMPLESDIR}
-	(cd ${FILESDIR} && ${INSTALL_DATA} mess.ini ${STAGEDIR}/${EXAMPLESDIR})
+		${STAGEDIR}${DATADIR})
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${STAGEDIR}${DOCSDIR})
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	(cd ${FILESDIR} && ${INSTALL_DATA} mess.ini ${STAGEDIR}${EXAMPLESDIR})
 
 .include <bsd.port.post.mk>

Modified: head/emulators/mess/distinfo
==============================================================================
--- head/emulators/mess/distinfo	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/mess/distinfo	Thu Jan 16 02:44:49 2014	(r339885)
@@ -1,2 +1,2 @@
-SHA256 (mame/mame0150s.zip) = e672b033baa001e1a909498b6c9206c68d0456fd883e410ad50f1a4f4c2253f7
-SIZE (mame/mame0150s.zip) = 35999158
+SHA256 (mame/mame0152s.zip) = dd245297824e0b3938312c74aee31e1d32798d093bbf19f857de56bbd1ea4bdf
+SIZE (mame/mame0152s.zip) = 36247883

Added: head/emulators/mess/files/patch-src__emu__netlist__nl_base.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mess/files/patch-src__emu__netlist__nl_base.h	Thu Jan 16 02:44:49 2014	(r339885)
@@ -0,0 +1,20 @@
+--- src/emu/netlist/nl_base.h.orig
++++ src/emu/netlist/nl_base.h
+@@ -287,7 +287,7 @@
+ 
+ 	ATTR_COLD const pstring &name() const;
+ 
+-	PSTATE_INTERFACE(*m_netlist, name())
++	PSTATE_INTERFACE_DECL()
+ 
+ #if 0
+ 	template<class C> ATTR_COLD void save(C &state, const pstring &stname)
+@@ -1120,6 +1120,8 @@
+ // Inline implementations
+ // ----------------------------------------------------------------------------------------
+ 
++PSTATE_INTERFACE(netlist_object_t, m_netlist, name())
++
+ ATTR_HOT inline void netlist_param_str_t::setTo(const pstring &param)
+ {
+ 	m_param = param;

Added: head/emulators/mess/files/patch-src__emu__netlist__pstate.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mess/files/patch-src__emu__netlist__pstate.h	Thu Jan 16 02:44:49 2014	(r339885)
@@ -0,0 +1,19 @@
+--- src/emu/netlist/pstate.h.orig
++++ src/emu/netlist/pstate.h
+@@ -15,10 +15,13 @@
+ // state saving ...
+ // ----------------------------------------------------------------------------------------
+ 
+-#define PSTATE_INTERFACE(manager, module)               \
+-	template<class C> ATTR_COLD void save(C &state, const pstring &stname) \
++#define PSTATE_INTERFACE_DECL()               \
++	template<class C> ATTR_COLD void save(C &state, const pstring &stname);
++
++#define PSTATE_INTERFACE(obj, manager, module)               \
++	template<class C> ATTR_COLD void obj::save(C &state, const pstring &stname) \
+ 	{                                                                       \
+-		dynamic_cast<pstate_manager_t &>(manager).save_manager(state, module + "." + stname);  \
++		manager->save_manager(state, module + "." + stname);  \
+ 	}
+ 
+ enum netlist_data_type_e {

Modified: head/emulators/mess/pkg-plist
==============================================================================
--- head/emulators/mess/pkg-plist	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/mess/pkg-plist	Thu Jan 16 02:44:49 2014	(r339885)
@@ -13,6 +13,7 @@ libexec/mess/unidasm
 %%PORTDOCS%%%%DOCSDIR%%/docs/hlsl.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/imgtool.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/license.txt
+%%PORTDOCS%%%%DOCSDIR%%/docs/licenseinfo.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/m6502.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/mame.txt
 %%PORTDOCS%%%%DOCSDIR%%/docs/newvideo.txt
@@ -33,6 +34,7 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/abc1600.xml
 %%DATADIR%%/hash/abc80.xml
 %%DATADIR%%/hash/abc800.xml
+%%DATADIR%%/hash/abc800_hdd.xml
 %%DATADIR%%/hash/abc806.xml
 %%DATADIR%%/hash/adam_cart.xml
 %%DATADIR%%/hash/adam_cass.xml
@@ -129,7 +131,9 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/ibm5140.xml
 %%DATADIR%%/hash/ibm5150.xml
 %%DATADIR%%/hash/ibm5150_cass.xml
+%%DATADIR%%/hash/ibm5160_flop.xml
 %%DATADIR%%/hash/ibm5170.xml
+%%DATADIR%%/hash/ibm5170_cdrom.xml
 %%DATADIR%%/hash/ibmpcjr_cart.xml
 %%DATADIR%%/hash/ibmpcjr_flop.xml
 %%DATADIR%%/hash/interact.xml
@@ -173,6 +177,7 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/msx1_cass.xml
 %%DATADIR%%/hash/msx2.hsi
 %%DATADIR%%/hash/msx2_cart.xml
+%%DATADIR%%/hash/myvision.xml
 %%DATADIR%%/hash/mz2000_cass.xml
 %%DATADIR%%/hash/mz2000_flop.xml
 %%DATADIR%%/hash/mz2500.xml
@@ -217,6 +222,7 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/pentagon_cass.xml
 %%DATADIR%%/hash/pet_cass.xml
 %%DATADIR%%/hash/pet_flop.xml
+%%DATADIR%%/hash/pet_hdd.xml
 %%DATADIR%%/hash/pet_rom.xml
 %%DATADIR%%/hash/pico.xml
 %%DATADIR%%/hash/pippin.xml
@@ -295,7 +301,8 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/tvc_cart.xml
 %%DATADIR%%/hash/ut88.xml
 %%DATADIR%%/hash/uzebox.xml
-%%DATADIR%%/hash/v1050.xml
+%%DATADIR%%/hash/v1050_flop.xml
+%%DATADIR%%/hash/v1050_hdd.xml
 %%DATADIR%%/hash/vboy.xml
 %%DATADIR%%/hash/vc4000.xml
 %%DATADIR%%/hash/vectrex.xml

Modified: head/emulators/qmc2/Makefile
==============================================================================
--- head/emulators/qmc2/Makefile	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/qmc2/Makefile	Thu Jan 16 02:44:49 2014	(r339885)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	qmc2
-PORTVERSION=	0.41
+PORTVERSION=	0.42
 CATEGORIES=	emulators
 MASTER_SITES=	SF
 

Modified: head/emulators/qmc2/distinfo
==============================================================================
--- head/emulators/qmc2/distinfo	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/qmc2/distinfo	Thu Jan 16 02:44:49 2014	(r339885)
@@ -1,2 +1,2 @@
-SHA256 (qmc2-0.41.tar.bz2) = 4c37a1cc64f6799aaafe09133475f988d7221d198b2a23005138ed182038289b
-SIZE (qmc2-0.41.tar.bz2) = 16353382
+SHA256 (qmc2-0.42.tar.bz2) = 05560cebcb8e1e9ca43c63bf3709f0e0fe255379a151f1f70c6287c337c9e3d4
+SIZE (qmc2-0.42.tar.bz2) = 17324420

Modified: head/emulators/qmc2/pkg-plist
==============================================================================
--- head/emulators/qmc2/pkg-plist	Thu Jan 16 02:41:09 2014	(r339884)
+++ head/emulators/qmc2/pkg-plist	Thu Jan 16 02:44:49 2014	(r339885)
@@ -26,7 +26,7 @@ bin/qmc2-sdlmess
 %%PORTDOCS%%%%DOCSDIR%%/html/fr/readme.html
 %%PORTDOCS%%%%DOCSDIR%%/html/fr/todo.html
 %%PORTDOCS%%%%DOCSDIR%%/html/images/ballou.png
-%%PORTDOCS%%%%DOCSDIR%%/html/images/doc-bg.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/doc-bg.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/gradient1.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/gradient2.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/qmc2_logo.png
@@ -229,6 +229,7 @@ bin/qmc2-sdlmess
 %%DATADIR%%/img/circles/next-sail.png
 %%DATADIR%%/img/circles/next.png
 %%DATADIR%%/img/circles/no.png
+%%DATADIR%%/img/circles/no_sound.png
 %%DATADIR%%/img/circles/north.png
 %%DATADIR%%/img/circles/notes.png
 %%DATADIR%%/img/circles/ok.png
@@ -311,6 +312,7 @@ bin/qmc2-sdlmess
 %%DATADIR%%/img/circles/thumbnail.png
 %%DATADIR%%/img/circles/time.png
 %%DATADIR%%/img/circles/toggle_fullscreen.png
+%%DATADIR%%/img/circles/toolbox.png
 %%DATADIR%%/img/circles/trafficlight_green.png
 %%DATADIR%%/img/circles/trafficlight_off.png
 %%DATADIR%%/img/circles/trafficlight_red.png
@@ -483,6 +485,7 @@ bin/qmc2-sdlmess
 %%DATADIR%%/img/classic/next-sail.png
 %%DATADIR%%/img/classic/next.png
 %%DATADIR%%/img/classic/no.png
+%%DATADIR%%/img/classic/no_sound.png
 %%DATADIR%%/img/classic/north.png
 %%DATADIR%%/img/classic/notes.png
 %%DATADIR%%/img/classic/ok.png
@@ -565,6 +568,7 @@ bin/qmc2-sdlmess
 %%DATADIR%%/img/classic/thumbnail.png
 %%DATADIR%%/img/classic/time.png
 %%DATADIR%%/img/classic/toggle_fullscreen.png
+%%DATADIR%%/img/classic/toolbox.png
 %%DATADIR%%/img/classic/trafficlight_green.png
 %%DATADIR%%/img/classic/trafficlight_off.png
 %%DATADIR%%/img/classic/trafficlight_red.png
@@ -606,259 +610,6 @@ bin/qmc2-sdlmess
 %%DATADIR%%/img/compressed.png
 %%DATADIR%%/img/configure.png
 %%DATADIR%%/img/controller.png
-%%DATADIR%%/img/crazy/activity_green.png
-%%DATADIR%%/img/crazy/activity_red.png
-%%DATADIR%%/img/crazy/add_to_favorites.png
-%%DATADIR%%/img/crazy/arcadecabinet.png
-%%DATADIR%%/img/crazy/arcademode.png
-%%DATADIR%%/img/crazy/back.png
-%%DATADIR%%/img/crazy/broom.png
-%%DATADIR%%/img/crazy/browser.png
-%%DATADIR%%/img/crazy/brush.png
-%%DATADIR%%/img/crazy/calculator.png
-%%DATADIR%%/img/crazy/camera.png
-%%DATADIR%%/img/crazy/category.png
-%%DATADIR%%/img/crazy/cd.png
-%%DATADIR%%/img/crazy/characters.png
-%%DATADIR%%/img/crazy/circuit.png
-%%DATADIR%%/img/crazy/clock.png
-%%DATADIR%%/img/crazy/clone.png
-%%DATADIR%%/img/crazy/colors.png
-%%DATADIR%%/img/crazy/compressed.png
-%%DATADIR%%/img/crazy/configure.png
-%%DATADIR%%/img/crazy/controller.png
-%%DATADIR%%/img/crazy/detail.png
-%%DATADIR%%/img/crazy/dev_cartridge.png
-%%DATADIR%%/img/crazy/dev_cassette.png
-%%DATADIR%%/img/crazy/dev_cdrom.png
-%%DATADIR%%/img/crazy/dev_cylinder.png
-%%DATADIR%%/img/crazy/dev_floppydisk.png
-%%DATADIR%%/img/crazy/dev_harddisk.png
-%%DATADIR%%/img/crazy/dev_magtape.png
-%%DATADIR%%/img/crazy/dev_memcard.png
-%%DATADIR%%/img/crazy/dev_parallel.png
-%%DATADIR%%/img/crazy/dev_printer.png
-%%DATADIR%%/img/crazy/dev_punchtape.png
-%%DATADIR%%/img/crazy/dev_quickload.png
-%%DATADIR%%/img/crazy/dev_serial.png
-%%DATADIR%%/img/crazy/dev_snapshot.png
-%%DATADIR%%/img/crazy/dice.png
-%%DATADIR%%/img/crazy/disk.png
-%%DATADIR%%/img/crazy/disk2.png
-%%DATADIR%%/img/crazy/dock.png
-%%DATADIR%%/img/crazy/down.png
-%%DATADIR%%/img/crazy/down_action.png
-%%DATADIR%%/img/crazy/download.png
-%%DATADIR%%/img/crazy/east.png
-%%DATADIR%%/img/crazy/edit.png
-%%DATADIR%%/img/crazy/editcopy.png
-%%DATADIR%%/img/crazy/editcut.png
-%%DATADIR%%/img/crazy/editdelete.png
-%%DATADIR%%/img/crazy/editpaste.png
-%%DATADIR%%/img/crazy/edittrash.png
-%%DATADIR%%/img/crazy/effect.png
-%%DATADIR%%/img/crazy/embed.png
-%%DATADIR%%/img/crazy/embed_multiple.png
-%%DATADIR%%/img/crazy/exit.png
-%%DATADIR%%/img/crazy/exit_small.png
-%%DATADIR%%/img/crazy/export_rom_status.png
-%%DATADIR%%/img/crazy/favorites.png
-%%DATADIR%%/img/crazy/favorites_multiple.png
-%%DATADIR%%/img/crazy/fileclose.png
-%%DATADIR%%/img/crazy/filefind.png
-%%DATADIR%%/img/crazy/filenew.png
-%%DATADIR%%/img/crazy/fileopen.png
-%%DATADIR%%/img/crazy/fileprint.png
-%%DATADIR%%/img/crazy/filesave.png
-%%DATADIR%%/img/crazy/filesaveas.png
-%%DATADIR%%/img/crazy/filesaveas_and_apply.png
-%%DATADIR%%/img/crazy/filter.png
-%%DATADIR%%/img/crazy/find.png
-%%DATADIR%%/img/crazy/find_negate.png
-%%DATADIR%%/img/crazy/flat.png
-%%DATADIR%%/img/crazy/flip.png
-%%DATADIR%%/img/crazy/folders-first.png
-%%DATADIR%%/img/crazy/folders-off.png
-%%DATADIR%%/img/crazy/folders-on.png
-%%DATADIR%%/img/crazy/fonts.png
-%%DATADIR%%/img/crazy/forward.png
-%%DATADIR%%/img/crazy/ghost.png
-%%DATADIR%%/img/crazy/ghost_video.png
-%%DATADIR%%/img/crazy/gradient1.png
-%%DATADIR%%/img/crazy/gradient2.png
-%%DATADIR%%/img/crazy/halt.png
-%%DATADIR%%/img/crazy/help.png
-%%DATADIR%%/img/crazy/highlight.png
-%%DATADIR%%/img/crazy/hint.png
-%%DATADIR%%/img/crazy/hint_small.png
-%%DATADIR%%/img/crazy/home.png
-%%DATADIR%%/img/crazy/icon.png
-%%DATADIR%%/img/crazy/info.png
-%%DATADIR%%/img/crazy/inspect.png
-%%DATADIR%%/img/crazy/internet.png
-%%DATADIR%%/img/crazy/invert_tag.png
-%%DATADIR%%/img/crazy/invert_tag_all.png
-%%DATADIR%%/img/crazy/invert_tag_down.png
-%%DATADIR%%/img/crazy/invert_tag_up.png
-%%DATADIR%%/img/crazy/invert_tag_visible.png
-%%DATADIR%%/img/crazy/joystick.png
-%%DATADIR%%/img/crazy/keyboard.png
-%%DATADIR%%/img/crazy/kill.png
-%%DATADIR%%/img/crazy/launch.png
-%%DATADIR%%/img/crazy/launch_multiple.png
-%%DATADIR%%/img/crazy/led_off.png
-%%DATADIR%%/img/crazy/led_on.png
-%%DATADIR%%/img/crazy/left_action.png
-%%DATADIR%%/img/crazy/lifebelt.png
-%%DATADIR%%/img/crazy/locale.png
-%%DATADIR%%/img/crazy/lock.png
-%%DATADIR%%/img/crazy/mame.icns
-%%DATADIR%%/img/crazy/mame.ico
-%%DATADIR%%/img/crazy/mame.png
-%%DATADIR%%/img/crazy/marquee.png
-%%DATADIR%%/img/crazy/maws.png
-%%DATADIR%%/img/crazy/maximize.png
-%%DATADIR%%/img/crazy/media_back.png
-%%DATADIR%%/img/crazy/media_fastbackward.png
-%%DATADIR%%/img/crazy/media_fastforward.png
-%%DATADIR%%/img/crazy/media_lower_volume.png
-%%DATADIR%%/img/crazy/media_next.png
-%%DATADIR%%/img/crazy/media_pause.png
-%%DATADIR%%/img/crazy/media_play.png
-%%DATADIR%%/img/crazy/media_raise_volume.png
-%%DATADIR%%/img/crazy/media_stop.png
-%%DATADIR%%/img/crazy/merge.png
-%%DATADIR%%/img/crazy/merge_nok.png
-%%DATADIR%%/img/crazy/merge_ok.png
-%%DATADIR%%/img/crazy/merge_unknown.png
-%%DATADIR%%/img/crazy/mess.icns
-%%DATADIR%%/img/crazy/mess.ico
-%%DATADIR%%/img/crazy/mess.png
-%%DATADIR%%/img/crazy/minimize.png
-%%DATADIR%%/img/crazy/minus.png
-%%DATADIR%%/img/crazy/minus_all.png
-%%DATADIR%%/img/crazy/movie.png
-%%DATADIR%%/img/crazy/music.png
-%%DATADIR%%/img/crazy/next-sail.png
-%%DATADIR%%/img/crazy/next.png
-%%DATADIR%%/img/crazy/no.png
-%%DATADIR%%/img/crazy/north.png
-%%DATADIR%%/img/crazy/notes.png
-%%DATADIR%%/img/crazy/ok.png
-%%DATADIR%%/img/crazy/opengl.png
-%%DATADIR%%/img/crazy/pacman.png
-%%DATADIR%%/img/crazy/pencils.png
-%%DATADIR%%/img/crazy/plus.png
-%%DATADIR%%/img/crazy/plus_all.png
-%%DATADIR%%/img/crazy/preview.png
-%%DATADIR%%/img/crazy/previous-sail.png
-%%DATADIR%%/img/crazy/previous.png
-%%DATADIR%%/img/crazy/process.png
-%%DATADIR%%/img/crazy/process_multiple.png
-%%DATADIR%%/img/crazy/project_mess.png
-%%DATADIR%%/img/crazy/qchdman.ico
-%%DATADIR%%/img/crazy/qchdman.png
-%%DATADIR%%/img/crazy/qmc2-arcade-setup.png
-%%DATADIR%%/img/crazy/qmc2-arcade.ico
-%%DATADIR%%/img/crazy/qmc2-arcade.png
-%%DATADIR%%/img/crazy/qmc2_logo_big.png
-%%DATADIR%%/img/crazy/qmc2_logo_small.png
-%%DATADIR%%/img/crazy/qmc2_mame_splash.png
-%%DATADIR%%/img/crazy/qmc2_mess_logo_big.png
-%%DATADIR%%/img/crazy/qmc2_mess_logo_small.png
-%%DATADIR%%/img/crazy/qmc2_mess_splash.png
-%%DATADIR%%/img/crazy/qmc2_ume_logo_big.png
-%%DATADIR%%/img/crazy/qmc2_ume_logo_small.png
-%%DATADIR%%/img/crazy/qmc2_ume_splash.png
-%%DATADIR%%/img/crazy/qt-logo.png
-%%DATADIR%%/img/crazy/redo.png
-%%DATADIR%%/img/crazy/refresh.png
-%%DATADIR%%/img/crazy/release.png
-%%DATADIR%%/img/crazy/release_alternate.png
-%%DATADIR%%/img/crazy/reload.png
-%%DATADIR%%/img/crazy/reload_small.png
-%%DATADIR%%/img/crazy/remove.png
-%%DATADIR%%/img/crazy/remove_from_favorites.png
-%%DATADIR%%/img/crazy/rename.png
-%%DATADIR%%/img/crazy/reset.png
-%%DATADIR%%/img/crazy/right_action.png
-%%DATADIR%%/img/crazy/rom.png
-%%DATADIR%%/img/crazy/rom_multiple.png
-%%DATADIR%%/img/crazy/search.png
-%%DATADIR%%/img/crazy/search_multiple.png
-%%DATADIR%%/img/crazy/sleep.png
-%%DATADIR%%/img/crazy/slot.png
-%%DATADIR%%/img/crazy/software_correct.png
-%%DATADIR%%/img/crazy/software_incorrect.png
-%%DATADIR%%/img/crazy/software_mostlycorrect.png
-%%DATADIR%%/img/crazy/software_notfound.png
-%%DATADIR%%/img/crazy/software_unknown.png
-%%DATADIR%%/img/crazy/sort.png
-%%DATADIR%%/img/crazy/sound.png
-%%DATADIR%%/img/crazy/south.png
-%%DATADIR%%/img/crazy/speaker.png
-%%DATADIR%%/img/crazy/sphere_blue.png
-%%DATADIR%%/img/crazy/sphere_blue_bios.png
-%%DATADIR%%/img/crazy/sphere_blue_device.png
-%%DATADIR%%/img/crazy/sphere_green.png
-%%DATADIR%%/img/crazy/sphere_green_bios.png
-%%DATADIR%%/img/crazy/sphere_green_device.png
-%%DATADIR%%/img/crazy/sphere_grey.png
-%%DATADIR%%/img/crazy/sphere_grey_bios.png
-%%DATADIR%%/img/crazy/sphere_grey_device.png
-%%DATADIR%%/img/crazy/sphere_red.png
-%%DATADIR%%/img/crazy/sphere_red_bios.png
-%%DATADIR%%/img/crazy/sphere_red_device.png
-%%DATADIR%%/img/crazy/sphere_yellowgreen.png
-%%DATADIR%%/img/crazy/sphere_yellowgreen_bios.png
-%%DATADIR%%/img/crazy/sphere_yellowgreen_device.png
-%%DATADIR%%/img/crazy/stop.png
-%%DATADIR%%/img/crazy/stop_browser.png
-%%DATADIR%%/img/crazy/swap.png
-%%DATADIR%%/img/crazy/tag.png
-%%DATADIR%%/img/crazy/tagged.png
-%%DATADIR%%/img/crazy/tagged_all.png
-%%DATADIR%%/img/crazy/tagged_visible.png
-%%DATADIR%%/img/crazy/tape.png
-%%DATADIR%%/img/crazy/terminate.png
-%%DATADIR%%/img/crazy/thumbnail.png
-%%DATADIR%%/img/crazy/time.png
-%%DATADIR%%/img/crazy/toggle_fullscreen.png
-%%DATADIR%%/img/crazy/trafficlight_green.png
-%%DATADIR%%/img/crazy/trafficlight_off.png
-%%DATADIR%%/img/crazy/trafficlight_red.png
-%%DATADIR%%/img/crazy/trafficlight_yellow.png
-%%DATADIR%%/img/crazy/ume.icns
-%%DATADIR%%/img/crazy/ume.ico
-%%DATADIR%%/img/crazy/ume.png
-%%DATADIR%%/img/crazy/undo.png
-%%DATADIR%%/img/crazy/unknown.png
-%%DATADIR%%/img/crazy/unlock.png
-%%DATADIR%%/img/crazy/untagged.png
-%%DATADIR%%/img/crazy/untagged_all.png
-%%DATADIR%%/img/crazy/untagged_visible.png
-%%DATADIR%%/img/crazy/up.png
-%%DATADIR%%/img/crazy/up_action.png
-%%DATADIR%%/img/crazy/update.png
-%%DATADIR%%/img/crazy/url.png
-%%DATADIR%%/img/crazy/version.png
-%%DATADIR%%/img/crazy/view_detail.png
-%%DATADIR%%/img/crazy/view_tree.png
-%%DATADIR%%/img/crazy/viewmag+.png
-%%DATADIR%%/img/crazy/viewmag-.png
-%%DATADIR%%/img/crazy/viewmagfit.png
-%%DATADIR%%/img/crazy/warning.png
-%%DATADIR%%/img/crazy/west.png
-%%DATADIR%%/img/crazy/wip.png
-%%DATADIR%%/img/crazy/wizard.png
-%%DATADIR%%/img/crazy/work.png
-%%DATADIR%%/img/crazy/world.png
-%%DATADIR%%/img/crazy/yes.png
-%%DATADIR%%/img/crazy/youtube.png
-%%DATADIR%%/img/crazy/zip.png
-%%DATADIR%%/img/crazy/zoom-in.png
-%%DATADIR%%/img/crazy/zoom-none.png
-%%DATADIR%%/img/crazy/zoom-out.png
 %%DATADIR%%/img/crazy-black/activity_green.png
 %%DATADIR%%/img/crazy-black/activity_red.png
 %%DATADIR%%/img/crazy-black/add_to_favorites.png
@@ -995,6 +746,7 @@ bin/qmc2-sdlmess
 %%DATADIR%%/img/crazy-black/next-sail.png
 %%DATADIR%%/img/crazy-black/next.png
 %%DATADIR%%/img/crazy-black/no.png
+%%DATADIR%%/img/crazy-black/no_sound.png
 %%DATADIR%%/img/crazy-black/north.png
 %%DATADIR%%/img/crazy-black/notes.png
 %%DATADIR%%/img/crazy-black/ok.png
@@ -1077,6 +829,7 @@ bin/qmc2-sdlmess
 %%DATADIR%%/img/crazy-black/thumbnail.png
 %%DATADIR%%/img/crazy-black/time.png
 %%DATADIR%%/img/crazy-black/toggle_fullscreen.png
+%%DATADIR%%/img/crazy-black/toolbox.png
 %%DATADIR%%/img/crazy-black/trafficlight_green.png
 %%DATADIR%%/img/crazy-black/trafficlight_off.png
 %%DATADIR%%/img/crazy-black/trafficlight_red.png
@@ -1112,6 +865,261 @@ bin/qmc2-sdlmess
 %%DATADIR%%/img/crazy-black/zoom-in.png
 %%DATADIR%%/img/crazy-black/zoom-none.png
 %%DATADIR%%/img/crazy-black/zoom-out.png
+%%DATADIR%%/img/crazy/activity_green.png
+%%DATADIR%%/img/crazy/activity_red.png
+%%DATADIR%%/img/crazy/add_to_favorites.png
+%%DATADIR%%/img/crazy/arcadecabinet.png
+%%DATADIR%%/img/crazy/arcademode.png
+%%DATADIR%%/img/crazy/back.png
+%%DATADIR%%/img/crazy/broom.png
+%%DATADIR%%/img/crazy/browser.png
+%%DATADIR%%/img/crazy/brush.png
+%%DATADIR%%/img/crazy/calculator.png
+%%DATADIR%%/img/crazy/camera.png
+%%DATADIR%%/img/crazy/category.png
+%%DATADIR%%/img/crazy/cd.png
+%%DATADIR%%/img/crazy/characters.png
+%%DATADIR%%/img/crazy/circuit.png
+%%DATADIR%%/img/crazy/clock.png
+%%DATADIR%%/img/crazy/clone.png
+%%DATADIR%%/img/crazy/colors.png
+%%DATADIR%%/img/crazy/compressed.png
+%%DATADIR%%/img/crazy/configure.png
+%%DATADIR%%/img/crazy/controller.png
+%%DATADIR%%/img/crazy/detail.png
+%%DATADIR%%/img/crazy/dev_cartridge.png
+%%DATADIR%%/img/crazy/dev_cassette.png
+%%DATADIR%%/img/crazy/dev_cdrom.png
+%%DATADIR%%/img/crazy/dev_cylinder.png
+%%DATADIR%%/img/crazy/dev_floppydisk.png
+%%DATADIR%%/img/crazy/dev_harddisk.png
+%%DATADIR%%/img/crazy/dev_magtape.png
+%%DATADIR%%/img/crazy/dev_memcard.png
+%%DATADIR%%/img/crazy/dev_parallel.png
+%%DATADIR%%/img/crazy/dev_printer.png
+%%DATADIR%%/img/crazy/dev_punchtape.png
+%%DATADIR%%/img/crazy/dev_quickload.png
+%%DATADIR%%/img/crazy/dev_serial.png
+%%DATADIR%%/img/crazy/dev_snapshot.png
+%%DATADIR%%/img/crazy/dice.png
+%%DATADIR%%/img/crazy/disk.png
+%%DATADIR%%/img/crazy/disk2.png
+%%DATADIR%%/img/crazy/dock.png
+%%DATADIR%%/img/crazy/down.png
+%%DATADIR%%/img/crazy/down_action.png
+%%DATADIR%%/img/crazy/download.png
+%%DATADIR%%/img/crazy/east.png
+%%DATADIR%%/img/crazy/edit.png
+%%DATADIR%%/img/crazy/editcopy.png
+%%DATADIR%%/img/crazy/editcut.png
+%%DATADIR%%/img/crazy/editdelete.png
+%%DATADIR%%/img/crazy/editpaste.png
+%%DATADIR%%/img/crazy/edittrash.png
+%%DATADIR%%/img/crazy/effect.png
+%%DATADIR%%/img/crazy/embed.png
+%%DATADIR%%/img/crazy/embed_multiple.png
+%%DATADIR%%/img/crazy/exit.png
+%%DATADIR%%/img/crazy/exit_small.png
+%%DATADIR%%/img/crazy/export_rom_status.png
+%%DATADIR%%/img/crazy/favorites.png
+%%DATADIR%%/img/crazy/favorites_multiple.png
+%%DATADIR%%/img/crazy/fileclose.png
+%%DATADIR%%/img/crazy/filefind.png
+%%DATADIR%%/img/crazy/filenew.png
+%%DATADIR%%/img/crazy/fileopen.png
+%%DATADIR%%/img/crazy/fileprint.png
+%%DATADIR%%/img/crazy/filesave.png
+%%DATADIR%%/img/crazy/filesaveas.png
+%%DATADIR%%/img/crazy/filesaveas_and_apply.png
+%%DATADIR%%/img/crazy/filter.png
+%%DATADIR%%/img/crazy/find.png
+%%DATADIR%%/img/crazy/find_negate.png
+%%DATADIR%%/img/crazy/flat.png
+%%DATADIR%%/img/crazy/flip.png
+%%DATADIR%%/img/crazy/folders-first.png
+%%DATADIR%%/img/crazy/folders-off.png
+%%DATADIR%%/img/crazy/folders-on.png
+%%DATADIR%%/img/crazy/fonts.png
+%%DATADIR%%/img/crazy/forward.png
+%%DATADIR%%/img/crazy/ghost.png
+%%DATADIR%%/img/crazy/ghost_video.png
+%%DATADIR%%/img/crazy/gradient1.png
+%%DATADIR%%/img/crazy/gradient2.png
+%%DATADIR%%/img/crazy/halt.png
+%%DATADIR%%/img/crazy/help.png
+%%DATADIR%%/img/crazy/highlight.png
+%%DATADIR%%/img/crazy/hint.png
+%%DATADIR%%/img/crazy/hint_small.png
+%%DATADIR%%/img/crazy/home.png
+%%DATADIR%%/img/crazy/icon.png
+%%DATADIR%%/img/crazy/info.png
+%%DATADIR%%/img/crazy/inspect.png
+%%DATADIR%%/img/crazy/internet.png
+%%DATADIR%%/img/crazy/invert_tag.png
+%%DATADIR%%/img/crazy/invert_tag_all.png
+%%DATADIR%%/img/crazy/invert_tag_down.png
+%%DATADIR%%/img/crazy/invert_tag_up.png
+%%DATADIR%%/img/crazy/invert_tag_visible.png
+%%DATADIR%%/img/crazy/joystick.png
+%%DATADIR%%/img/crazy/keyboard.png
+%%DATADIR%%/img/crazy/kill.png
+%%DATADIR%%/img/crazy/launch.png
+%%DATADIR%%/img/crazy/launch_multiple.png
+%%DATADIR%%/img/crazy/led_off.png
+%%DATADIR%%/img/crazy/led_on.png
+%%DATADIR%%/img/crazy/left_action.png
+%%DATADIR%%/img/crazy/lifebelt.png

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Danilo Egea Gondolfo freebsd_committer 2014-01-16 02:46:05 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!